package cn.wise.sc.cement.business.util.weixin;

/**
 * 功能说明：企业微信全局接口地址
 * 修改说明：
 * @author zhenglibing
 * @date 2018年1月8日 下午2:27:43
 * @version 0.1
 */

public interface Global {

	/**
	 * 微信公众平台，获取AccessToken的接口地址，Https请求方式：GET
	 * 接口地址示例：https://qyapi.weixin.qq.com/cgi-bin/gettoken?corpid=id&corpsecret=secrect
	 */
	public static final String ACCESSTOKENURL = "https://qyapi.weixin.qq.com/cgi-bin/gettoken";


	/**
	 * 微信公众平台，获取访问用户身份的接口地址，Https请求方式：GET
	 * 接口地址示例：https://qyapi.weixin.qq.com/cgi-bin/user/getuserinfo?access_token=ACCESS_TOKEN&code=CODE
	 */
	public static final String USERINFOURL = "https://qyapi.weixin.qq.com/cgi-bin/user/getuserinfo";


	/**
	 * 微信公众平台，获取访问用户信息的接口地址，Https请求方式：GET
	 * 接口地址示例：https://qyapi.weixin.qq.com/cgi-bin/user/get?access_token=ACCESS_TOKEN&userid=USERID
	 */
	public static final String USERURL = "https://qyapi.weixin.qq.com/cgi-bin/user/get";




}
